** Compiler Personality for g++ 4.4.x

* substitute headers

* gcc include directories, obtained with 'g++ -c -v test.cpp'

* implicit macros, obtained with 'g++ -E -dM test.cpp'

* for some installations of g++ these implicit macros may not be included in 'g++ -E -dM test.cpp' output
-sd "__cplusplus"
-sd "__STDC__"
-sd "__STRICT_ANSI__"
-sd "_GNU_SOURCE"

* compiler implicit types
-it "size_t=unsigned int"
-it "ptrdiff_t=int"

* parsing extensions
-sdep-
-ptp-
-dpft+
-ifn-
-sig+
-atncrb-
-accd-
-duc99dilt+

* extension keywords
-SD "__attribute__=_ignore_paren"
-SD "__alignof__(x)=1"
-SD "__const=const"
-SD "__declspec(x)=__attribute__((x))"
-SD "__extension__="
-SD "__restrict="
-SD "__restrict__="
-SD "__inline__=inline"
-sd "__inline=inline"
-SD "__asm__=_ignore_paren"
-SD "asm=_ignore_paren"
-SD "__volatile__=volatile"
-SD "__complex__="
-SD "_Complex="
-SD "__real__="
-SD "__imag__="
-SD "__null=0"
-SD "__PRETTY_FUNCTION__=_PRL_STRINGIFY(__PRETTY_FUNCTION__)"
-SD "__FUNCTION__=_PRL_STRINGIFY(__FUNCTION__)"
-SD "__func__=_PRL_STRINGIFY(__func__)"
-SD "__typeof(t)=void*"
-SD "__typeof__(t)=void*"
-sd "_GLIBCXX_USE_C99_COMPLEX=0"

* statement expressions
-SD "__WAIT_INT(status)=(status)"

* tr1 functions 
-SD "__has_assign(x)=0"
-SD "__has_copy(x)=0"
-SD "__has_finalizer(x)=0"
-SD "__has_nothrow_assign(x)=0"
-SD "__has_nothrow_constructor(x)=0"
-SD "__has_nothrow_copy(x)=0"
-SD "__has_trivial_assign(x)=0"
-SD "__has_trivial_constructor(x)=0"
-SD "__has_trivial_copy(x)=0"
-SD "__has_trivial_destructor(x)=0"
-SD "__has_user_destructor(x)=0"
-SD "__has_virtual_destructor(x)=0"
-SD "__is_abstract(x)=0"
-SD "__is_base_of(x,y)=0"
-SD "__is_class(x)=0"
-SD "__is_convertible_to(x,y)=0"
-SD "__is_delegate(x)=0"
-SD "__is_empty(x)=0"
-SD "__is_enum(x)=0"
-SD "__is_interface_class(x)=0"
-SD "__is_pod(x)=0"
-SD "__is_polymorphic(x)=0"
-SD "__is_ref_array(x)=0"
-SD "__is_ref_class(x)=0"
-SD "__is_sealed(x)=0" 
-SD "__is_simple_value_class(x)=0"
-SD "__is_union(x)=0"
-SD "__is_value_class(x)=0" 

-SD "dllimport="
